Page MenuHomeFreeBSD

[NEW PORT] mail/getmail6: POP3/IMAP4 mail retriever (Python 3 fork)
ClosedPublic

Authored by jrm on Aug 13 2020, 3:29 PM.

Details

Summary
[NEW PORT] mail/getmail6: POP3/IMAP4 mail retriever (Python 3 fork)

POP3/IMAP4 mail retriever with Maildir and command delivery (python3 fork).

Summary of features:

- Retrieve mail from an unlimited number of POP3/IMAP4 mailboxes and servers.
- Support for POP3-over-SSL and IMAP-over-SSL, as well as SDPS
  WARNING: even with SSL, "no certificate or key validation is done." so
  that getmail does not detect or protect from man-in-the-middle attacks.
- Support for multidrop or domain mailboxes.
- Safe and reliable delivery to qmail-style Maildirs, as well as program
  (pipe) delivery for use with arbitrary external MDAs. Includes an MDA
  for mbox files that supports mboxrd format and fcntl-type flock locking.
- Does not destroy information by rewriting mail headers.
- Does not cause mail loops by doing SMTP injection, and therefore does
  not require that you run an MTA (like qmail or sendmail) on your host.
- Can remember which mail it has already retrieved, and can be set to
  only download new messages.
- Written in Python, and therefore easy to extend or customize.
- Simple to install, configure, and use.

WWW: https://github.com/getmail6/getmail6/
PR: 248633
Submitted by: Michael Bueker <m.bueker@berlin.de> (maintainer)
Differential_Revision: D26057
Test Plan
  • portlint:
  • testport:

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm requested review of this revision.Aug 13 2020, 3:29 PM
jrm created this revision.
koobs requested changes to this revision.Aug 14 2020, 4:03 AM
koobs edited the summary of this revision. (Show Details)
koobs edited the test plan for this revision. (Show Details)
koobs edited the summary of this revision. (Show Details)
koobs retitled this revision from New port, mail/getmail6: A python3 fork of mail/getmail to [NEW PORT] mail/getmail6: POP3/IMAP4 mail retriever (Python 3 fork).
koobs added inline comments.
mail/getmail6/Makefile
10 ↗(On Diff #75792)

Suggested tweak: (Python 3 Fork)

15 ↗(On Diff #75792)

USES=python

mail/getmail6/files/patch-setup.py
7–8 ↗(On Diff #75792)

Add comment here about why this was necessary, for our future selves. Am assuming this is to prevent an unecessary suffixed script name, which concurrent handles

This revision now requires changes to proceed.Aug 14 2020, 4:05 AM
jrm edited the test plan for this revision. (Show Details)
  • Remove unneeded patches, add CONFLICTS, accept portfmt suggestions
jrm marked 2 inline comments as done.
  • Re-add the patch; it's useful for installing the man pages in the correct location and for DOCs installation
  • mail/getmail: CONFLICTS with getmail6 and accept portfmt suggestions (separate commit)
mail/getmail6/files/patch-setup.py
7–8 ↗(On Diff #75792)

I think the original intent here was to follow the advice of the Handbook, "Create a new directory for the port. The directory name is DOCSDIR. This usually equals PORTNAME." Without this patch the documentation will be installed in py37-getmail-6.02, with it, documentation will be installed in py37-getmail. I don't feel it's necessary, since this port conflicts with mail/getmail, but maybe I'm overlooking something?

Updated the Makefile and distinfo to reflect new upstream hotfix release v6.03

mail/getmail6/Makefile
5 ↗(On Diff #75828)

new upstream hotfix release 6.03

mail/getmail6/distinfo
1–3 ↗(On Diff #75828)

new upstream hotfix release 6.03

mail/getmail6/distinfo
1–3 ↗(On Diff #75828)

upstream hotfix release 6.03 changed after first tagging

mail/getmail6/files/patch-setup.py
26 ↗(On Diff #75828)

removed since 6.03

mail/getmail6/files/patch-setup.py
17 ↗(On Diff #75828)

one line removed in 6.03

This revision was not accepted when it landed; it landed in state Needs Review.Aug 18 2020, 7:16 PM
This revision was automatically updated to reflect the committed changes.